function [ F, lam ] = PCA(X, r)
%calculate principle componant analysis for X_{it} = lamda_i F_t + e_{it}
% Input: X-----N*T 
%        r-----number of factor 
%        lamtrue--ture value for lam 

% Output: F--factor estimated, Txr 
%         lam---factor loading, TxNxr 

[N, T]=size(X);
X2 = X' * X;      % dim: T x T 
[Ffit, D] = eig(X2); 

F = Ffit(:, T-r+1:T) * sqrt(T);      % dim: T x r 
lam = (F' *  X' /T)';                % dim: Nx r 
 
end

